package com.javacodegeeks.nio_ftp_example;

import java.io.IOException;
import java.net.URL;
import java.nio.ByteBuffer;
import java.nio.channels.Channels;
import java.nio.channels.ReadableByteChannel;
import java.util.Objects;

final class FileReader {

    private final ReadableByteChannel from;

    FileReader(final URL url) throws IOException {
        this.from = Channels.newChannel(url.openStream());
    }

    int read(final ByteBuffer buffer) throws IOException {
        return this.from.read(buffer);
    }

    void close() throws IOException {
        Objects.requireNonNull(this.from).close();
    }
}
